Bug 466040 - autofs does not apply the UNDERSCORE_TO_DOT conversion to all maps in a multi-map entry
autofs does not apply the UNDERSCORE_TO_DOT conversion to all maps in a multi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Moyer
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 16:45 EDT by Jeff Moyer
Modified: 2010-10-23 01:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* NIS source files use underscores in names, which autofs converts internally to dots to use in maps. When processing a multi-map entry, autofs converted the underscores to dots and built the first map correctly, but would not make the conversion for any subsequent maps. This would prevent autofs from using some NIS maps. Autofs now applies the UNDERSCORETODOT conversion to all maps in a multi-map entry, and is therefore able to use these maps.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Apply UNDERSCORETODOT to all maps in a multimap entry (1.15 KB, patch)
2008-11-19 17:10 EST, Jeff Moyer
no flags Details | Diff
Apply UNDERSCORETODOT to all maps in a multi-map entry (1.15 KB, patch)
2009-01-21 10:37 EST, Jeff Moyer
no flags Details | Diff

  None (edit)
Description Jeff Moyer 2008-10-07 16:45:57 EDT
Description of problem:
The summary says it all.  This results in reading wrong maps from NIS in at least one customer configuration.

I will add a test to RHTS for this.
Comment 2 Jeff Moyer 2008-11-19 17:10:14 EST
Created attachment 324108 [details]
Apply UNDERSCORETODOT to all maps in a multimap entry

This patch addresses the problem in my testing thus far.  I'm still working on an automated test for this issue.
Comment 3 Jeff Moyer 2009-01-21 10:35:36 EST
RHTS test added to /CoreOS/autofs/bugzillas, subtest bz466040.

This fix will be available in autofs-4.1.3-235.3 and later.
Comment 4 Jeff Moyer 2009-01-21 10:37:43 EST
Created attachment 329616 [details]
Apply UNDERSCORETODOT to all maps in a multi-map entry

The previously uploaded patch swapped the . and _ in the sed line.  Oops!
Comment 6 Ruediger Landmann 2009-01-23 01:55:41 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* NIS source files use underscores in names, which autofs converts internally to dots to use in maps. When processing a multi-map entry, autofs converted the underscores to dots and built the first map correctly, but would not make the conversion for any subsequent maps. This would prevent autofs from using some NIS maps. Autofs now applies the UNDERSCORETODOT conversion to all maps in a multi-map entry, and is therefore able to use these maps.
Comment 9 errata-xmlrpc 2009-05-18 16:21:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0991.html

Note You need to log in before you can comment on or make changes to this bug.